<div class="row">
    <h2 class="text-center text-muted">{{ title }}</h2>
    <div class="pull-right">
        <a href="/books_mongoose/add" class="btn btn-primary">Crear nuevo libro</a>
    </div>

    <div class="clearfix"></div>

    <hr />

    {{#if message}}
        <p class="alert alert-success">{{ message }}</p>
    {{/if}}

    <div class="col-md-12">
        {{#if books}}
            {{#each books }}
                <div class="panel panel-warning">
                    <div class="panel-heading">
                        <h5>{{ _id }} - {{ title }}</h5>
                    </div>
                    <div class="panel-body">
                        <p>ISBN: {{ isbn }}</p>
                        <p>Título: {{ title }}</p>
                        <p>Body: {{ body }}</p>
                        <p>Fecha de alta: {{ createdAt }}</p>
                    </div>
                    <div class="panel-footer">
                        <form class="form-inline" id="books-form" novalidate action="/books_mongoose/destroy/{{_id}}?_method=DELETE" method="post">
                            <a href="/books_mongoose/edit/{{_id}}" class="btn btn-sm btn-info">Editar libro</a>
                            <button type="submit" class="btn btn-sm btn-danger">Eliminar libro</button>
                        </form>
                    </div>
                </div>
            {{/each}}

          
        {{else}}
            <div class="alert alert-danger">No hay libros disponibles</div>
        {{/if}}
    </div>
    <nav aria-label="Page navigation example">
    <ul class="pagination">

        <!-- anterior enlace -->
        {{#with paginate}}
            {{#if hasPreviousPages}}<!--res.locals.hasPreviousPages-->
                <li class="page-item prev">
                    <a class="page-link" href="{{prev_link this}}">Anterior</a>
                </li>
            {{/if}}
        {{/with}}

        <!-- del 1 al n -->
        {{#each links}}
            <li class="page-item {{is_active @index ../currentPage }}"><!-- custom helper -->
                <a class="page-link" href="{{url}}">{{number}}</a>
            </li>
        {{/each}}

        <!-- siguiente enlace -->
        {{#with paginate}}
            {{#has_next_links ../pageCount this}}
                <li class="page-item next">
                    <a class="page-link" href="{{next_link ../this}}">Siguiente</a>
                </li>
            {{/has_next_links}}
        {{/with}}
    </ul>
</nav>
</div>